Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.util
Class CoreRendererUtils

    java.lang.Object
      org.richfaces.renderkit.util.CoreRendererUtils

    public final class CoreRendererUtils

extends java.lang.Object

Util class for common render operations - render passthru html attributes, iterate over child components etc.

Version:
  $Revision: 1.1.2.6 $ $Date: 2007/02/08 19:07:16 $
Author:
  asmirnov@exadel.com (latest modification by $Author: alexsmirnov $)

Field Summary
`static java.util.Set<java.lang.String>` | `GLOBAL_META_COMPONENTS`
`static CoreRendererUtils` | `INSTANCE`

Method Summary
`java.util.Collection<java.lang.String>` | `findComponentsFor(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, java.util.Collection<java.lang.String> shortIds)`
`javax.faces.component.UIForm` | `getNestingForm(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)` Find nested form for given component
`java.lang.String` | `getPredefinedMetaComponentId(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component, java.lang.String id)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GLOBAL_META_COMPONENTS

    public static final java.util.Set<java.lang.String> GLOBAL_META_COMPONENTS

### INSTANCE

    public static final CoreRendererUtils INSTANCE

Method Detail

### getPredefinedMetaComponentId

    public java.lang.String getPredefinedMetaComponentId(javax.faces.context.FacesContext facesContext,
                                                         javax.faces.component.UIComponent component,
                                                         java.lang.String id)

### findComponentsFor

    public java.util.Collection<java.lang.String> findComponentsFor(javax.faces.context.FacesContext context,
                                                                    javax.faces.component.UIComponent component,
                                                                    java.util.Collection<java.lang.String> shortIds)

  Parameters:
    `context` -
    `component` -
    `shortIds` -
  Returns:
  Since:
    4.0

### getNestingForm

    public javax.faces.component.UIForm getNestingForm(javax.faces.context.FacesContext context,
                                                       javax.faces.component.UIComponent component)

  Find nested form for given component

  Parameters:
    `component` -
  Returns:
    nested `UIForm` component, or `null`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces Core Implementation 4.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 JBoss, a division of Red Hat, Inc.. All Rights Reserved.